GetDurableCQsOperationContext (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.operations, class: GetDurableCQsOperationContext

Package org.apache.geode.cache.operations

# Class GetDurableCQsOperationContext

java.lang.Object
org.apache.geode.cache.operations.OperationContext
org.apache.geode.cache.operations.GetDurableCQsOperationContext

@Deprecated public class GetDurableCQsOperationContext extends OperationContext
Deprecated.
since Geode1.0, use `ResourcePermission` instead
Encapsulates a `OperationContext.OperationCode.GET_DURABLE_CQS` operation for the pre-operation case.

Since:
  GemFire 7.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

  `OperationContext.OperationCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetDurableCQsOperationContext()`
  Deprecated.
  Constructor for the GET_DURABLE_CQS operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OperationContext.OperationCode`
  `getOperationCode()`
  Deprecated.
  Return the operation associated with the `OperationContext` object.
  `boolean`
  `isPostOperation()`
  Deprecated.
  True if the context is for post-operation.

  ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

  `isClientUpdate, isClientUpdate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetDurableCQsOperationContext

    public GetDurableCQsOperationContext()
    Deprecated.
    Constructor for the GET_DURABLE_CQS operation.

- ## Method Details

  - ### getOperationCode

    public OperationContext.OperationCode getOperationCode()
    Deprecated.
    Return the operation associated with the `OperationContext` object.
    Specified by:
      `getOperationCode` in class `OperationContext`
    Returns:
      `OperationCode.GET_DURABLE_CQS`.

  - ### isPostOperation

    public boolean isPostOperation()
    Deprecated.
    True if the context is for post-operation.
    Specified by:
      `isPostOperation` in class `OperationContext`
    Returns:
      whether the context is for post-operation